
{
  HV *package_stash = gv_stashpv("Net::ADNS", 1);
  AV *export_ok = GvAV(gv_fetchpv("Net::ADNS::EXPORT_OK", TRUE, SVt_PVAV));

  newCONSTSUB(package_stash, "ADNS_IF_NONE", newSViv(adns_if_none));
  av_push(export_ok, newSVpvn("ADNS_IF_NONE", 12));

  newCONSTSUB(package_stash, "ADNS_IF_NOENV", newSViv(adns_if_noenv));
  av_push(export_ok, newSVpvn("ADNS_IF_NOENV", 13));

  newCONSTSUB(package_stash, "ADNS_IF_NOERRPRINT", newSViv(adns_if_noerrprint));
  av_push(export_ok, newSVpvn("ADNS_IF_NOERRPRINT", 18));

  newCONSTSUB(package_stash, "ADNS_IF_NOSERVERWARN", newSViv(adns_if_noserverwarn));
  av_push(export_ok, newSVpvn("ADNS_IF_NOSERVERWARN", 20));

  newCONSTSUB(package_stash, "ADNS_IF_DEBUG", newSViv(adns_if_debug));
  av_push(export_ok, newSVpvn("ADNS_IF_DEBUG", 13));

  newCONSTSUB(package_stash, "ADNS_IF_LOGPID", newSViv(adns_if_logpid));
  av_push(export_ok, newSVpvn("ADNS_IF_LOGPID", 14));

  newCONSTSUB(package_stash, "ADNS_IF_NOAUTOSYS", newSViv(adns_if_noautosys));
  av_push(export_ok, newSVpvn("ADNS_IF_NOAUTOSYS", 17));

  newCONSTSUB(package_stash, "ADNS_IF_EINTR", newSViv(adns_if_eintr));
  av_push(export_ok, newSVpvn("ADNS_IF_EINTR", 13));

  newCONSTSUB(package_stash, "ADNS_IF_NOSIGPIPE", newSViv(adns_if_nosigpipe));
  av_push(export_ok, newSVpvn("ADNS_IF_NOSIGPIPE", 17));

  newCONSTSUB(package_stash, "ADNS_IF_CHECKC_ENTEX", newSViv(adns_if_checkc_entex));
  av_push(export_ok, newSVpvn("ADNS_IF_CHECKC_ENTEX", 20));

  newCONSTSUB(package_stash, "ADNS_IF_CHECKC_FREQ", newSViv(adns_if_checkc_freq));
  av_push(export_ok, newSVpvn("ADNS_IF_CHECKC_FREQ", 19));

  newCONSTSUB(package_stash, "ADNS_QF_NONE", newSViv(adns_qf_none));
  av_push(export_ok, newSVpvn("ADNS_QF_NONE", 12));

  newCONSTSUB(package_stash, "ADNS_QF_SEARCH", newSViv(adns_qf_search));
  av_push(export_ok, newSVpvn("ADNS_QF_SEARCH", 14));

  newCONSTSUB(package_stash, "ADNS_QF_USEVC", newSViv(adns_qf_usevc));
  av_push(export_ok, newSVpvn("ADNS_QF_USEVC", 13));

  newCONSTSUB(package_stash, "ADNS_QF_OWNER", newSViv(adns_qf_owner));
  av_push(export_ok, newSVpvn("ADNS_QF_OWNER", 13));

  newCONSTSUB(package_stash, "ADNS_QF_QUOTEOK_QUERY", newSViv(adns_qf_quoteok_query));
  av_push(export_ok, newSVpvn("ADNS_QF_QUOTEOK_QUERY", 21));

  newCONSTSUB(package_stash, "ADNS_QF_QUOTEOK_CNAME", newSViv(adns_qf_quoteok_cname));
  av_push(export_ok, newSVpvn("ADNS_QF_QUOTEOK_CNAME", 21));

  newCONSTSUB(package_stash, "ADNS_QF_QUOTEOK_ANSHOST", newSViv(adns_qf_quoteok_anshost));
  av_push(export_ok, newSVpvn("ADNS_QF_QUOTEOK_ANSHOST", 23));

  newCONSTSUB(package_stash, "ADNS_QF_QUOTEFAIL_CNAME", newSViv(adns_qf_quotefail_cname));
  av_push(export_ok, newSVpvn("ADNS_QF_QUOTEFAIL_CNAME", 23));

  newCONSTSUB(package_stash, "ADNS_QF_CNAME_LOOSE", newSViv(adns_qf_cname_loose));
  av_push(export_ok, newSVpvn("ADNS_QF_CNAME_LOOSE", 19));

  newCONSTSUB(package_stash, "ADNS_QF_CNAME_FORBID", newSViv(adns_qf_cname_forbid));
  av_push(export_ok, newSVpvn("ADNS_QF_CNAME_FORBID", 20));

  newCONSTSUB(package_stash, "ADNS__QF_INTERNALMASK", newSViv(adns__qf_internalmask));
  av_push(export_ok, newSVpvn("ADNS__QF_INTERNALMASK", 21));

  newCONSTSUB(package_stash, "ADNS_RRT_TYPEMASK", newSViv(adns_rrt_typemask));
  av_push(export_ok, newSVpvn("ADNS_RRT_TYPEMASK", 17));

  newCONSTSUB(package_stash, "ADNS__QTF_DEREF", newSViv(adns__qtf_deref));
  av_push(export_ok, newSVpvn("ADNS__QTF_DEREF", 15));

  newCONSTSUB(package_stash, "ADNS__QTF_MAIL822", newSViv(adns__qtf_mail822));
  av_push(export_ok, newSVpvn("ADNS__QTF_MAIL822", 17));

  newCONSTSUB(package_stash, "ADNS_R_UNKNOWN", newSViv(adns_r_unknown));
  av_push(export_ok, newSVpvn("ADNS_R_UNKNOWN", 14));

  newCONSTSUB(package_stash, "ADNS_R_NONE", newSViv(adns_r_none));
  av_push(export_ok, newSVpvn("ADNS_R_NONE", 11));

  newCONSTSUB(package_stash, "ADNS_R_A", newSViv(adns_r_a));
  av_push(export_ok, newSVpvn("ADNS_R_A", 8));

  newCONSTSUB(package_stash, "ADNS_R_NS_RAW", newSViv(adns_r_ns_raw));
  av_push(export_ok, newSVpvn("ADNS_R_NS_RAW", 13));

  newCONSTSUB(package_stash, "ADNS_R_NS", newSViv(adns_r_ns));
  av_push(export_ok, newSVpvn("ADNS_R_NS", 9));

  newCONSTSUB(package_stash, "ADNS_R_CNAME", newSViv(adns_r_cname));
  av_push(export_ok, newSVpvn("ADNS_R_CNAME", 12));

  newCONSTSUB(package_stash, "ADNS_R_SOA_RAW", newSViv(adns_r_soa_raw));
  av_push(export_ok, newSVpvn("ADNS_R_SOA_RAW", 14));

  newCONSTSUB(package_stash, "ADNS_R_SOA", newSViv(adns_r_soa));
  av_push(export_ok, newSVpvn("ADNS_R_SOA", 10));

  newCONSTSUB(package_stash, "ADNS_R_PTR_RAW", newSViv(adns_r_ptr_raw));
  av_push(export_ok, newSVpvn("ADNS_R_PTR_RAW", 14));

  newCONSTSUB(package_stash, "ADNS_R_PTR", newSViv(adns_r_ptr));
  av_push(export_ok, newSVpvn("ADNS_R_PTR", 10));

  newCONSTSUB(package_stash, "ADNS_R_HINFO", newSViv(adns_r_hinfo));
  av_push(export_ok, newSVpvn("ADNS_R_HINFO", 12));

  newCONSTSUB(package_stash, "ADNS_R_MX_RAW", newSViv(adns_r_mx_raw));
  av_push(export_ok, newSVpvn("ADNS_R_MX_RAW", 13));

  newCONSTSUB(package_stash, "ADNS_R_MX", newSViv(adns_r_mx));
  av_push(export_ok, newSVpvn("ADNS_R_MX", 9));

  newCONSTSUB(package_stash, "ADNS_R_TXT", newSViv(adns_r_txt));
  av_push(export_ok, newSVpvn("ADNS_R_TXT", 10));

  newCONSTSUB(package_stash, "ADNS_R_RP_RAW", newSViv(adns_r_rp_raw));
  av_push(export_ok, newSVpvn("ADNS_R_RP_RAW", 13));

  newCONSTSUB(package_stash, "ADNS_R_RP", newSViv(adns_r_rp));
  av_push(export_ok, newSVpvn("ADNS_R_RP", 9));

  newCONSTSUB(package_stash, "ADNS_R_SRV_RAW", newSViv(adns_r_srv_raw));
  av_push(export_ok, newSVpvn("ADNS_R_SRV_RAW", 14));

  newCONSTSUB(package_stash, "ADNS_R_SRV", newSViv(adns_r_srv));
  av_push(export_ok, newSVpvn("ADNS_R_SRV", 10));

  newCONSTSUB(package_stash, "ADNS_R_ADDR", newSViv(adns_r_addr));
  av_push(export_ok, newSVpvn("ADNS_R_ADDR", 11));

  newCONSTSUB(package_stash, "ADNS_S_OK", newSViv(adns_s_ok));
  av_push(export_ok, newSVpvn("ADNS_S_OK", 9));

  newCONSTSUB(package_stash, "ADNS_S_NOMEMORY", newSViv(adns_s_nomemory));
  av_push(export_ok, newSVpvn("ADNS_S_NOMEMORY", 15));

  newCONSTSUB(package_stash, "ADNS_S_UNKNOWNRRTYPE", newSViv(adns_s_unknownrrtype));
  av_push(export_ok, newSVpvn("ADNS_S_UNKNOWNRRTYPE", 20));

  newCONSTSUB(package_stash, "ADNS_S_SYSTEMFAIL", newSViv(adns_s_systemfail));
  av_push(export_ok, newSVpvn("ADNS_S_SYSTEMFAIL", 17));

  newCONSTSUB(package_stash, "ADNS_S_MAX_LOCALFAIL", newSViv(adns_s_max_localfail));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_LOCALFAIL", 20));

  newCONSTSUB(package_stash, "ADNS_S_TIMEOUT", newSViv(adns_s_timeout));
  av_push(export_ok, newSVpvn("ADNS_S_TIMEOUT", 14));

  newCONSTSUB(package_stash, "ADNS_S_ALLSERVFAIL", newSViv(adns_s_allservfail));
  av_push(export_ok, newSVpvn("ADNS_S_ALLSERVFAIL", 18));

  newCONSTSUB(package_stash, "ADNS_S_NORECURSE", newSViv(adns_s_norecurse));
  av_push(export_ok, newSVpvn("ADNS_S_NORECURSE", 16));

  newCONSTSUB(package_stash, "ADNS_S_INVALIDRESPONSE", newSViv(adns_s_invalidresponse));
  av_push(export_ok, newSVpvn("ADNS_S_INVALIDRESPONSE", 22));

  newCONSTSUB(package_stash, "ADNS_S_UNKNOWNFORMAT", newSViv(adns_s_unknownformat));
  av_push(export_ok, newSVpvn("ADNS_S_UNKNOWNFORMAT", 20));

  newCONSTSUB(package_stash, "ADNS_S_MAX_REMOTEFAIL", newSViv(adns_s_max_remotefail));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_REMOTEFAIL", 21));

  newCONSTSUB(package_stash, "ADNS_S_RCODESERVFAIL", newSViv(adns_s_rcodeservfail));
  av_push(export_ok, newSVpvn("ADNS_S_RCODESERVFAIL", 20));

  newCONSTSUB(package_stash, "ADNS_S_RCODEFORMATERROR", newSViv(adns_s_rcodeformaterror));
  av_push(export_ok, newSVpvn("ADNS_S_RCODEFORMATERROR", 23));

  newCONSTSUB(package_stash, "ADNS_S_RCODENOTIMPLEMENTED", newSViv(adns_s_rcodenotimplemented));
  av_push(export_ok, newSVpvn("ADNS_S_RCODENOTIMPLEMENTED", 26));

  newCONSTSUB(package_stash, "ADNS_S_RCODEREFUSED", newSViv(adns_s_rcoderefused));
  av_push(export_ok, newSVpvn("ADNS_S_RCODEREFUSED", 19));

  newCONSTSUB(package_stash, "ADNS_S_RCODEUNKNOWN", newSViv(adns_s_rcodeunknown));
  av_push(export_ok, newSVpvn("ADNS_S_RCODEUNKNOWN", 19));

  newCONSTSUB(package_stash, "ADNS_S_MAX_TEMPFAIL", newSViv(adns_s_max_tempfail));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_TEMPFAIL", 19));

  newCONSTSUB(package_stash, "ADNS_S_INCONSISTENT", newSViv(adns_s_inconsistent));
  av_push(export_ok, newSVpvn("ADNS_S_INCONSISTENT", 19));

  newCONSTSUB(package_stash, "ADNS_S_PROHIBITEDCNAME", newSViv(adns_s_prohibitedcname));
  av_push(export_ok, newSVpvn("ADNS_S_PROHIBITEDCNAME", 22));

  newCONSTSUB(package_stash, "ADNS_S_ANSWERDOMAININVALID", newSViv(adns_s_answerdomaininvalid));
  av_push(export_ok, newSVpvn("ADNS_S_ANSWERDOMAININVALID", 26));

  newCONSTSUB(package_stash, "ADNS_S_ANSWERDOMAINTOOLONG", newSViv(adns_s_answerdomaintoolong));
  av_push(export_ok, newSVpvn("ADNS_S_ANSWERDOMAINTOOLONG", 26));

  newCONSTSUB(package_stash, "ADNS_S_INVALIDDATA", newSViv(adns_s_invaliddata));
  av_push(export_ok, newSVpvn("ADNS_S_INVALIDDATA", 18));

  newCONSTSUB(package_stash, "ADNS_S_MAX_MISCONFIG", newSViv(adns_s_max_misconfig));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_MISCONFIG", 20));

  newCONSTSUB(package_stash, "ADNS_S_QUERYDOMAINWRONG", newSViv(adns_s_querydomainwrong));
  av_push(export_ok, newSVpvn("ADNS_S_QUERYDOMAINWRONG", 23));

  newCONSTSUB(package_stash, "ADNS_S_QUERYDOMAININVALID", newSViv(adns_s_querydomaininvalid));
  av_push(export_ok, newSVpvn("ADNS_S_QUERYDOMAININVALID", 25));

  newCONSTSUB(package_stash, "ADNS_S_QUERYDOMAINTOOLONG", newSViv(adns_s_querydomaintoolong));
  av_push(export_ok, newSVpvn("ADNS_S_QUERYDOMAINTOOLONG", 25));

  newCONSTSUB(package_stash, "ADNS_S_MAX_MISQUERY", newSViv(adns_s_max_misquery));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_MISQUERY", 19));

  newCONSTSUB(package_stash, "ADNS_S_NXDOMAIN", newSViv(adns_s_nxdomain));
  av_push(export_ok, newSVpvn("ADNS_S_NXDOMAIN", 15));

  newCONSTSUB(package_stash, "ADNS_S_NODATA", newSViv(adns_s_nodata));
  av_push(export_ok, newSVpvn("ADNS_S_NODATA", 13));

  newCONSTSUB(package_stash, "ADNS_S_MAX_PERMFAIL", newSViv(adns_s_max_permfail));
  av_push(export_ok, newSVpvn("ADNS_S_MAX_PERMFAIL", 19));

}

